PowerPoint1ParserInternal::TextZone::Line Struct Reference

small structure used to store a line of text and its format More...

## Public Member Functions

| Line ()
| constructor

## Public Attributes

MWAWEntry | m_text
| the text entry
MWAWEntry | m_format
| the format entry
MWAWEntry | m_ruler
| the ruler entry (windows v2)
MWAWParagraph::Justification | m_justify
| the justification
int | m_outlineLevel
| the outline level

## Detailed Description

small structure used to store a line of text and its format

## Constructor & Destructor Documentation

## Line()

PowerPoint1ParserInternal::TextZone::Line::Line | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_format

MWAWEntry PowerPoint1ParserInternal::TextZone::Line::m_format

the format entry

Referenced by Line(), and PowerPoint1Parser::readTextZone().

## m_justify

MWAWParagraph::Justification PowerPoint1ParserInternal::TextZone::Line::m_justify

the justification

Referenced by Line(), and PowerPoint1Parser::readTextZone().

## m_outlineLevel

int PowerPoint1ParserInternal::TextZone::Line::m_outlineLevel

the outline level

Referenced by Line(), and PowerPoint1Parser::readTextZone().

## m_ruler

MWAWEntry PowerPoint1ParserInternal::TextZone::Line::m_ruler

the ruler entry (windows v2)

Referenced by Line(), and PowerPoint1Parser::readTextZone().

## m_text

MWAWEntry PowerPoint1ParserInternal::TextZone::Line::m_text

the text entry

Referenced by Line(), and PowerPoint1Parser::readTextZone().

The documentation for this struct was generated from the following file:

- PowerPoint1Parser.cxx